Summary:	Minimalistic GIS tool built on top of SpatiaLite and RasterLite
Summary(pl.UTF-8):	Minimalistyczne narzędzie GIS stworzone w oparciu o SpatiaLite i RasterLite
Name:		spatialite_gis
Version:	1.0.0c
Release:	8
License:	GPL v3+
Group:		Applications/Databases
Source0:	http://www.gaia-gis.it/gaia-sins/spatialite-gis-sources/%{name}-%{version}.tar.gz
# Source0-md5:	81de8d7f3e20038bd2ec721edc02dfb0
Patch0:		wxWidgets3.patch
URL:		https://www.gaia-gis.it/fossil/spatialite_gis
BuildRequires:	freexl-devel
BuildRequires:	geos-devel
BuildRequires:	libgeotiff-devel
BuildRequires:	libharu-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	librasterlite-devel
BuildRequires:	libspatialite-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtiff-devel
BuildRequires:	pkgconfig
BuildRequires:	proj-devel >= 4
BuildRequires:	wxGTK2-unicode-devel >= 2.8.12-4
BuildRequires:	zlib-devel
Requires:	wxGTK2-unicode >= 2.8.12-4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Minimalistic GIS tool built on top of SpatiaLite and RasterLite.

%description -l pl.UTF-8
Minimalistyczne narzędzie GIS stworzone w oparciu o SpatiaLite i
RasterLite.

%prep
%setup -q
%patch0 -p1

mkdir wx-bin
ln -sf /usr/bin/wx-gtk2-unicode-config wx-bin/wx-config

%build
%{__autoconf}
# configure refers to wx-config with no option to override
PATH=$(pwd)/wx-bin:$PATH
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}
sed -ne '2,$p' gnome_resource/spatialite-gis.desktop >$RPM_BUILD_ROOT%{_desktopdir}/spatialite-gis.desktop
cp -p gnome_resource/spatialite-gis.png $RPM_BUILD_ROOT%{_pixmapsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/spatialite_gis
%{_desktopdir}/spatialite-gis.desktop
%{_pixmapsdir}/spatialite-gis.png
%changelog
* Sun May 13 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/spatialite_gis.git;a=log;h=master

* Sun May 13 2018 Jan Rękorajski <baggins@pld-linux.org> 33aba68
- release 8 (by relup.sh)

* Sun Jul 26 2015 Jan Rękorajski <baggins@pld-linux.org> 8b376ca
- release 7 (by relup.sh)

* Sun Jul 19 2015 Jan Rękorajski <baggins@pld-linux.org> 5be36d8
- release 6 (by relup.sh)

* Sun Oct 26 2014 Jan Rękorajski <baggins@pld-linux.org> 06a4935
- release 5 (by relup.sh)

* Sat Jan 18 2014 Jan Rękorajski <baggins@pld-linux.org> db6e6d1
- fix building with wxWidgets 3.0
- rel 4

* Wed Jan 15 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 5e14f6a
- wxWidgets rebuild
- release 3 (by relup.sh)

* Sun Dec 09 2012 Jan Rękorajski <baggins@pld-linux.org> 1df13e3
- release 2 (by relup.sh)

* Sun Oct 07 2012 Jakub Bogusz <qboosh@pld-linux.org> 09492ae
- cleanup

* Sun Sep 30 2012 Jakub Bogusz <qboosh@pld-linux.org> 5f7e411
- new; needs wxGTK2 built with graphics_ctx (>= 2.8.12-4)

